 /*+----------------------------------------------------------------- */
 /*                                                                   */
 /*  Microsoft Windows                                                */
 /*  Copyright (C) Microsoft Corporation, 1996-1999                   */
 /*                                                                   */
 /*  File:       adsiid.h                                             */
 /*                                                                   */
 /*  Contents:   extern references for ADs guids                      */
 /*                                                                   */
 /*------------------------------------------------------------------ */

 %dcl #_ADSIID_H__ char ext;
 %if #_ADSIID_H__ = '' %then %do;
 %#_ADSIID_H__ = 'Y';

 /* uuids from oledsiid.lib */

 dcl (LIBID_ADs,

      IID_IADs,

      IID_IADsContainer,

      IID_IADsNamespaces,



      IID_IADsDomain,

      IID_IADsUser,

      IID_IADsComputerOperations,

      IID_IADsComputer,


      IID_IADsGroup,

      IID_IADsMembers,



      IID_IADsPrintQueue,

      IID_IADsPrintQueueOperations,


      IID_IADsPrintJobOperations,

      IID_IADsPrintJob,

      IID_IADsCollection,


      IID_IADsServiceOperations,

      IID_IADsService,


      IID_IADsFileServiceOperations,

      IID_IADsFileService,


      IID_IADsResource,

      IID_IADsSession,

      IID_IADsFileShare,

      IID_IADsSchema,

      IID_IADsClass,

      IID_IADsProperty,

      IID_IADsSyntax,


      IID_IADsLocality,

      IID_IADsO,

      IID_IADsOU,

      IID_IADsOpenDSObject,

      IID_IADsSearch,

      IID_IADsPropertyList,


      IID_IDSObject,
      IID_IDSSearch,
      IID_IDSAttrMgmt,

      IID_IDirectorySearch,
      IID_IDirectoryObject,
      IID_IDirectoryAttrMgmt
 ) type GUID static external reserved (imported) nonasgn;

 dcl (
      /* Connection object GUIDs. */
      CLSID_LDAPConnectionObject,

      /* CLSID for owning LDAP objects interfaces */
      CLSID_LDAPObject,

       /* Query object for the LDAP Provider. */
      CLSID_UmiLDAPQueryObject,

      CLSID_WinNTConnectionObject,

      /* Custom interface handling */
      CLSID_WinNTObject,

      /* OLE DB Provider Guids */

      CLSID_ADsDSOObject,

      DBGUID_LDAPDialect,

      DBPROPSET_ADSISEARCH,

      DBPROPSET_ADSIBIND
 ) type GUID static external reserved (imported) nonasgn;

 %end;
