 /*********************************************************************/
 /*                                                                   */
 /* cderr.h -     Common dialog error return codes                    */
 /*                                                                   */
 /* Version 1.0                                                       */
 /*                                                                   */
 /* Copyright (c) 1992-1998, Microsoft Corp.   All rights reserved.   */
 /*                                                                   */
 /*********************************************************************/

 %dcl #INC_CDERR char ext;
 %if #INC_CDERR = '' %then %do;
 %#INC_CDERR = 'Y';

 dcl CDERR_DIALOGFAILURE    fixed bin(31) value('FFFF'xn);

 dcl CDERR_GENERALCODES     fixed bin(31) value('0000'xn);
 dcl CDERR_STRUCTSIZE       fixed bin(31) value('0001'xn);
 dcl CDERR_INITIALIZATION   fixed bin(31) value('0002'xn);
 dcl CDERR_NOTEMPLATE       fixed bin(31) value('0003'xn);
 dcl CDERR_NOHINSTANCE      fixed bin(31) value('0004'xn);
 dcl CDERR_LOADSTRFAILURE   fixed bin(31) value('0005'xn);
 dcl CDERR_FINDRESFAILURE   fixed bin(31) value('0006'xn);
 dcl CDERR_LOADRESFAILURE   fixed bin(31) value('0007'xn);
 dcl CDERR_LOCKRESFAILURE   fixed bin(31) value('0008'xn);
 dcl CDERR_MEMALLOCFAILURE  fixed bin(31) value('0009'xn);
 dcl CDERR_MEMLOCKFAILURE   fixed bin(31) value('000A'xn);
 dcl CDERR_NOHOOK           fixed bin(31) value('000B'xn);
 dcl CDERR_REGISTERMSGFAIL  fixed bin(31) value('000C'xn);

 dcl PDERR_PRINTERCODES     fixed bin(31) value('1000'xn);
 dcl PDERR_SETUPFAILURE     fixed bin(31) value('1001'xn);
 dcl PDERR_PARSEFAILURE     fixed bin(31) value('1002'xn);
 dcl PDERR_RETDEFFAILURE    fixed bin(31) value('1003'xn);
 dcl PDERR_LOADDRVFAILURE   fixed bin(31) value('1004'xn);
 dcl PDERR_GETDEVMODEFAIL   fixed bin(31) value('1005'xn);
 dcl PDERR_INITFAILURE      fixed bin(31) value('1006'xn);
 dcl PDERR_NODEVICES        fixed bin(31) value('1007'xn);
 dcl PDERR_NODEFAULTPRN     fixed bin(31) value('1008'xn);
 dcl PDERR_DNDMMISMATCH     fixed bin(31) value('1009'xn);
 dcl PDERR_CREATEICFAILURE  fixed bin(31) value('100A'xn);
 dcl PDERR_PRINTERNOTFOUND  fixed bin(31) value('100B'xn);
 dcl PDERR_DEFAULTDIFFERENT fixed bin(31) value('100C'xn);

 dcl CFERR_CHOOSEFONTCODES  fixed bin(31) value('2000'xn);
 dcl CFERR_NOFONTS          fixed bin(31) value('2001'xn);
 dcl CFERR_MAXLESSTHANMIN   fixed bin(31) value('2002'xn);

 dcl FNERR_FILENAMECODES    fixed bin(31) value('3000'xn);
 dcl FNERR_SUBCLASSFAILURE  fixed bin(31) value('3001'xn);
 dcl FNERR_INVALIDFILENAME  fixed bin(31) value('3002'xn);
 dcl FNERR_BUFFERTOOSMALL   fixed bin(31) value('3003'xn);

 dcl FRERR_FINDREPLACECODES fixed bin(31) value('4000'xn);
 dcl FRERR_BUFFERLENGTHZERO fixed bin(31) value('4001'xn);

 dcl CCERR_CHOOSECOLORCODES fixed bin(31) value('5000'xn);

 %end; /* !_INC_CDERR */
